#
# spec file for package SDL (Version 1.2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile autoconf esound esound-devel gpp kdelibs-artsd kdelibs-devel libgpp mesa mesa-devel mesasoft nasm xf86
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs-artsd kdelibs-devel less libgpp libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils nasm ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         SDL
Copyright:    LGPL
Group:        System Environment/Libraries
Autoreqprov:  on
Version:      1.2.2
Release:      97
Summary:      Simple DirectMedia Layer Library
Source:  SDL-%{version}.tar.bz2
Patch:   SDL-%{version}.dif
Patch1:  SDL-%{version}-ia64.patch
Provides:	sdl
Obsoletes:      sdl
URL:		http://www.libsdl.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is the "Simple DirectMedia Layer" library, which provides a generic
API for level access to audio, keyboard, mouse, and display framebuffer
across multiple platforms.

Authors:
--------
    Sam Lantinga <slouken@devolution.com>

SuSE series: d

%package devel
Summary:      SDL library developer files
Group:        Development/Libraries
Provides:	sdl-devel
Obsoletes:      sdl-devel
Requires:	SDL

%description devel
This package contains files needed for development with the
SDL library.

SuSE series: d

%prep
%setup -n SDL-%{version}
%{?suse_update_config:%{suse_update_config -f test}}
%patch
%patch1

%build
# Initial global starting point:
export CFLAGS="$RPM_OPT_FLAGS"
# Check for which CPU requirement we opimize:
OPT_ARCH=`echo "$CFLAGS"|sed -n 's/.*-march=\([^[:space:]]*\).*/\1/p'`
# Set _target_cpu to the CPU requirement or if no CPU requirement
# opimizations, just the architecture:
%define _target_cpu `echo ${OPT_ARCH:-%{_arch}}`
# -fomit-frame-pointer breaks the MMX YV12 conversion on gcc 2.95.2,
# so only add -fomit-frame-pointer if we are not in i386:
if [ "%{_arch}" != i386 ]; then
    export CFLAGS="$CFLAGS -fomit-frame-pointer"
fi
# We don't want to raise code size because of -m486:
if [ "%{_target_cpu}" = i486 ]; then
    export CFLAGS="$CFLAGS -malign-loops=2 -malign-jumps=2 -malign-functions=2"
fi
export CXXFLAGS="$CFLAGS"
export LDFLAGS=-s
autoconf
./configure \
	--host=%{_target_platform} \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--disable-video-svga \
	--disable-video-ggi \
	--disable-video-aalib \
	--disable-debug \
	--enable-xfree86-glidehack
touch ./docs/Makefile.in --reference=./aclocal.m4
touch ./test/Makefile.in --reference=./aclocal.m4
touch ./test/configure --reference=./aclocal.m4
make

%install
if [ "$RPM_BUILD_ROOT" != / ];then rm -rf "$RPM_BUILD_ROOT";fi
make install DESTDIR=$RPM_BUILD_ROOT

%clean
if [ "$RPM_BUILD_ROOT" != / ];then rm -rf "$RPM_BUILD_ROOT";fi

%files
%{_libdir}/libSDL-1.2.so.0*

%files devel
%doc README README-SDL.txt CREDITS BUGS WhatsNew docs.html
%doc docs/index.html docs/html
%{_libdir}/libSDL.a
%{_libdir}/libSDL.la
%{_libdir}/libSDL.so
%{_libdir}/libSDLmain.a
%{_bindir}/*
%{_includedir}/SDL
%{_datadir}/aclocal/*
%{_mandir}/*/*

%changelog -n SDL
* Tue Sep 04 2001 - nadvornik@suse.cz
- do not use -fomit-frame-pointer on i386 arch
* Tue Aug 07 2001 - nadvornik@suse.cz
- installed correctly
* Thu Aug 02 2001 - nadvornik@suse.cz
- renamed sdl -> SDL
- changed kdelibs -> kdelibs-artsd in neededforbuild
- updated to 1.2.2
* Mon Jun 18 2001 - nadvornik@suse.cz
- compiled with aRts support (bug #8601)
- added nasm to neededforbuild
* Thu May 17 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Sat Apr 14 2001 - schwab@suse.de
- Run autoconf prior to configuring.
* Thu Apr 12 2001 - nadvornik@suse.cz
- update to 1.2.0
* Mon Mar 26 2001 - kkaempf@suse.de
- package split -devel
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Tue Mar 06 2001 - bk@suse.de
- fix _target_platform: set _target_cpu from arch and optflags
- does not use -mcpu=pentiumpro any longer, uses other optimisations
- fix broken 486 case in configure(.in): -march=486 -> -march=i486
- remove duplicate entries from %%doc lines
* Sun Feb 18 2001 - bk@suse.de
- update to 1.1.8, use RPM_OPT_FLAGS and enable sdl optimisations
- fix manuals installation and simplify documentation installation
- SDL-1.1.8.dif: disable -march=pentium, allowing -mcpu=pentiumpro
* Sat Nov 04 2000 - kukuk@suse.de
- fix neededforbuild
* Tue Oct 24 2000 - nadvornik@suse.cz
- update to 1.1.6
* Tue Sep 05 2000 - nadvornik@suse.cz
- back to suse_update_config -f (with libtool 1.3.5 it works)
* Thu Aug 31 2000 - nadvornik@suse.cz
- used suse_update_config -fl
- removed -lXv from sdl-config
* Mon Aug 28 2000 - nadvornik@suse.cz
- removed xdevel3 from neededforbuild (1.1.4 does not need it)
- added mesa, mesadev, mesasoft to neededforbuild
- added -lXv to sdl-config
* Wed Aug 16 2000 - uli@suse.de
- update -> 1.1.4 (need this for smpeg-xmms)
* Fri Jul 28 2000 - nadvornik@suse.cz
- compiled with xdevel3 to work with xf86 3.3.6
* Tue May 23 2000 - freitag@suse.de
- new version 1.1.2
- xdevel to neededforbuild to get libXx...
* Wed May 03 2000 - kukuk@suse.de
- Fix configure for new libtool
- use defaultdocdir macro
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Sun Apr 02 2000 - sndirsch@suse.de
- update to version 1.0.8 (e.g. required by aleclone 1.16.1)
* Mon Feb 28 2000 - freitag@suse.de
- spec-cleanup
* Wed Dec 15 1999 - freitag@suse.de
- update to version 1.0.1
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Tue Sep 21 1999 - uli@suse.de
- run Configure.sh on PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 31 1999 - ro@suse.de
- added code to build on alpha
  (copied from linuxthreads-0.6 like the rest)
* Wed May 26 1999 - uli@suse.de
- added sdldev subpack
* Fri May 21 1999 - uli@suse.de
- fixed #includes/definitions for glibc 2.1
* Mon Mar 22 1999 - uli@suse.de
- new package, version 0.9.9
